phy_find_setting
Prev | Driver Support | Next

## Name

phy_find_setting — find a PHY settings array entry that matches speed & duplex

## Synopsis

`int phy_find_setting (` | int | speed,
| int | duplex`)`;

## Arguments

`speed`

  speed to match

`duplex`

  duplex to match

## Description

Searches the settings array for the setting which matches the desired speed and duplex, and returns the index of that setting. Returns the index of the last setting if none of the others match.

Prev | Up | Next
phy_aneg_done | Home | phy_find_valid